summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--debian/bcfg2-server.conffiles0
-rwxr-xr-xdebian/buildsys-select.sh64
-rw-r--r--debian/buildsys/2.3/bcfg2-server.init44
-rw-r--r--debian/buildsys/2.3/bcfg2.init37
-rw-r--r--debian/buildsys/2.3/compat (renamed from debian/compat)0
-rw-r--r--debian/buildsys/2.3/control.in (renamed from debian/control)9
-rw-r--r--debian/buildsys/2.4/control.in28
-rw-r--r--debian/buildsys/common/bcfg2-server.init (renamed from debian/bcfg2-server.init)0
-rw-r--r--debian/buildsys/common/bcfg2.init (renamed from debian/bcfg2.init)0
-rw-r--r--debian/buildsys/common/compat1
-rw-r--r--debian/buildsys/common/pycompat1
-rw-r--r--debian/buildsys/pycentral/control.in (renamed from debian/control.in)0
-rw-r--r--debian/buildsys/pycentral/pycompat (renamed from debian/pycompat)0
-rw-r--r--debian/changelog6
-rw-r--r--debian/copyright2
-rwxr-xr-xdebian/rules18
16 files changed, 194 insertions, 16 deletions
diff --git a/debian/bcfg2-server.conffiles b/debian/bcfg2-server.conffiles
deleted file mode 100644
index e69de29bb..000000000
--- a/debian/bcfg2-server.conffiles
+++ /dev/null
diff --git a/debian/buildsys-select.sh b/debian/buildsys-select.sh
new file mode 100755
index 000000000..291d669f6
--- /dev/null
+++ b/debian/buildsys-select.sh
@@ -0,0 +1,64 @@
+#!/bin/sh
+#
+# This script will select the build target, which is one of:
+# 2.3 - Build for python2.3
+# 2.4 - Build for python2.4
+# pycentral - Build with python-central support
+
+FILES="control.in bcfg2.init bcfg2-server.init pycompat compat"
+SUITE=$1
+
+if [ ! -d buildsys ]; then
+ echo "you need to be in debian/ directory"
+ exit 1
+fi
+
+copy_files() {
+ for i in $FILES; do
+ if [ -e buildsys/$SUITE/$i ]; then
+ cp buildsys/$SUITE/$i $i
+ else
+ cp buildsys/common/$i $i
+ fi
+ done
+}
+
+toggle_DPS() {
+ case $1 in
+ enable)
+ sed -i -e 's/^#DEB_PYTHON_SYSTEM/DEB_PYTHON_SYSTEM/' rules
+ ;;
+ disable)
+ sed -i -e 's/^DEB_PYTHON_SYSTEM/#DEB_PYTHON_SYSTEM/' rules
+ ;;
+ *)
+ echo "internal error!"
+ exit 1
+ ;;
+ esac
+}
+
+generate_control() {
+ cp control.in control
+ if [ "$SUITE" = "pycentral" ]; then
+ toggle_DPS enable
+ else
+ toggle_DPS disable
+ fi
+ cd .. && DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
+}
+
+case $SUITE in
+ 2.3|2.4|pycentral)
+ copy_files
+ generate_control
+ ;;
+ clean)
+ rm $FILES control
+ toggle_DPS enable
+ echo "removed build files, select a build system to enable build"
+ ;;
+ *)
+ echo "Usage: $0 2.3|2.4|pycentral|clean"
+ ;;
+esac
diff --git a/debian/buildsys/2.3/bcfg2-server.init b/debian/buildsys/2.3/bcfg2-server.init
new file mode 100644
index 000000000..8025b72cc
--- /dev/null
+++ b/debian/buildsys/2.3/bcfg2-server.init
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# Bcfg2Server - Bcfg2 configuration daemon
+#
+# chkconfig: 2345 19 81
+# description: bcfg2 server for configuration requests
+#
+
+PIDFILE=/var/tmp/bcfg2-server.pid
+
+case "$1" in
+ start)
+ echo -n "Starting bcfg2-server: "
+ if [ -f "/etc/debian_version" ] ; then
+ /sbin/start-stop-daemon --pidfile "${PIDFILE}" --make-pidfile -b -S --startas /usr/sbin/bcfg2-server
+ else
+ /usr/sbin/bcfg2-server -D "${PIDFILE}"
+ fi
+ echo "bcfg2-server"
+ ;;
+ stop)
+ echo -n "Stopping bcfg2-server: "
+ if [ -f "/etc/debian_version" ] ; then
+ /sbin/start-stop-daemon -p "${PIDFILE}" -K /usr/sbin/bcfg2-server
+ else
+ kill -INT `cat ${PIDFILE}`
+ fi
+ echo done
+ ;;
+ restart)
+ $0 stop
+ sleep 5
+ $0 start
+ ;;
+ force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: bcfg2-server {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0
diff --git a/debian/buildsys/2.3/bcfg2.init b/debian/buildsys/2.3/bcfg2.init
new file mode 100644
index 000000000..a184297e8
--- /dev/null
+++ b/debian/buildsys/2.3/bcfg2.init
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# bcfg2 - bcfg2 configuration client
+#
+# chkconfig: 2345 19 81
+# description: bcfg2 client for configuration requests
+#
+BCFG2_OPTIONS="-q"
+test -f "/etc/default/bcfg2" && . /etc/default/bcfg2
+
+case "$1" in
+ start)
+ if test -e /etc/donttouchme; then
+ rm -f /etc/donttouchme
+ echo "bcfg2 does not need to run."
+ else
+ echo -n "Running bcfg: "
+ /usr/sbin/bcfg2 $BCFG2_OPTIONS
+ echo "bcfg2"
+ fi
+ ;;
+ stop)
+ /bin/true
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ force-reload)
+ true
+ ;;
+ *)
+ echo "Usage: bcfg2 {start|stop|restart}"
+ exit 1
+esac
+
+exit 0
diff --git a/debian/compat b/debian/buildsys/2.3/compat
index b8626c4cf..b8626c4cf 100644
--- a/debian/compat
+++ b/debian/buildsys/2.3/compat
diff --git a/debian/control b/debian/buildsys/2.3/control.in
index e98f836ea..cf17bddf8 100644
--- a/debian/control
+++ b/debian/buildsys/2.3/control.in
@@ -2,14 +2,12 @@ Source: bcfg2
Section: admin
Priority: optional
Maintainer: Sami Haahtinen <ressu@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python-dev (>= 2.3.5-11), python-central (>= 0.5.0)
+Build-Depends: @cdbs@, python2.3-dev, python
Standards-Version: 3.7.2.0
-XS-Python-Version: >= 2.3
Package: bcfg2
Architecture: all
-Depends: ${python:Depends}, debsums, python-apt, python-lxml (>= 0.8), ucf, lsb-base (>= 3.1-9)
-XB-Python-Version: ${python:Versions}
+Depends: ${python:Depends}, debsums, python-apt, python2.3-lxml (>= 0.8), ucf
Description: Configuration management client
Bcfg2 is a configuration management system that generates configuration sets
for clients bound by client profiles.
@@ -20,8 +18,7 @@ Description: Configuration management client
Package: bcfg2-server
Architecture: all
-Depends: ${python:Depends}, python-lxml (>= 0.8), python2.3-fam | python2.4-fam | python-fam | python2.3-gamin | python2.4-gamin , python-pyopenssl, libxml2-utils (>= 2.6.23), fam | gamin, lsb-base (>= 3.1-9), ucf, bcfg2 (= ${source:Version})
-XB-Python-Version: ${python:Versions}
+Depends: ${python:Depends}, python2.3-lxml (>= 0.8), python2.3-gamin | python2.3-fam , python2.3-pyopenssl, libxml2-utils (>= 2.6.23), gamin | fam, ucf, bcfg2 (= ${Source-Version})
Description: Configuration management server
Bcfg2 is a configuration management system that generates configuration sets
for clients bound by client profiles.
diff --git a/debian/buildsys/2.4/control.in b/debian/buildsys/2.4/control.in
new file mode 100644
index 000000000..23e64b1a6
--- /dev/null
+++ b/debian/buildsys/2.4/control.in
@@ -0,0 +1,28 @@
+Source: bcfg2
+Section: admin
+Priority: optional
+Maintainer: Sami Haahtinen <ressu@debian.org>
+Build-Depends: @cdbs@, python2.4-dev
+Standards-Version: 3.7.2.0
+
+Package: bcfg2
+Architecture: all
+Depends: ${python:Depends}, debsums, python2.4-apt, python2.4-lxml (>= 0.8), ucf, lsb-base (>= 3.1)
+Description: Configuration management client
+ Bcfg2 is a configuration management system that generates configuration sets
+ for clients bound by client profiles.
+ bcfg2 is the client portion of bcfg2 system which installs configuration
+ images provided by bcfg2-server
+ .
+ Homepage: http://trac.mcs.anl.gov/projects/bcfg2/
+
+Package: bcfg2-server
+Architecture: all
+Depends: ${python:Depends}, python2.4-lxml (>= 0.8), python2.4-gamin | python2.4-fam, python2.4-pyopenssl, libxml2-utils (>= 2.6.23), gamin | fam, lsb-base (>= 3.1), ucf, bcfg2 (= ${Source-Version})
+Description: Configuration management server
+ Bcfg2 is a configuration management system that generates configuration sets
+ for clients bound by client profiles.
+ bcfg2-server is the server for bcfg2 clients, which generates configuration
+ sets and stores statistics of client system states.
+ .
+ Homepage: http://trac.mcs.anl.gov/projects/bcfg2/
diff --git a/debian/bcfg2-server.init b/debian/buildsys/common/bcfg2-server.init
index 5a51056f2..5a51056f2 100644
--- a/debian/bcfg2-server.init
+++ b/debian/buildsys/common/bcfg2-server.init
diff --git a/debian/bcfg2.init b/debian/buildsys/common/bcfg2.init
index e7466f18d..e7466f18d 100644
--- a/debian/bcfg2.init
+++ b/debian/buildsys/common/bcfg2.init
diff --git a/debian/buildsys/common/compat b/debian/buildsys/common/compat
new file mode 100644
index 000000000..7ed6ff82d
--- /dev/null
+++ b/debian/buildsys/common/compat
@@ -0,0 +1 @@
+5
diff --git a/debian/buildsys/common/pycompat b/debian/buildsys/common/pycompat
new file mode 100644
index 000000000..d00491fd7
--- /dev/null
+++ b/debian/buildsys/common/pycompat
@@ -0,0 +1 @@
+1
diff --git a/debian/control.in b/debian/buildsys/pycentral/control.in
index 21f7d9550..21f7d9550 100644
--- a/debian/control.in
+++ b/debian/buildsys/pycentral/control.in
diff --git a/debian/pycompat b/debian/buildsys/pycentral/pycompat
index 0cfbf0888..0cfbf0888 100644
--- a/debian/pycompat
+++ b/debian/buildsys/pycentral/pycompat
diff --git a/debian/changelog b/debian/changelog
index c2f703132..4a934eff1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+bcfg2 (0.8.2+svn060731-1) unstable; urgency=low
+
+ * new packaging code
+
+ -- Sami Haahtinen <ressu@debian.org> Mon, 31 Jul 2006 20:58:29 -0500
+
bcfg2 (0.8.2+svn060725-1) unstable; urgency=low
[ Sami Haahtinen ]
diff --git a/debian/copyright b/debian/copyright
index 38a51bb42..cc6802369 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -5,7 +5,7 @@ It was downloaded from http://trac.mcs.anl.gov/projects/bcfg2/
Upstream Author: Narayan Desai <desai@mcs.anl.gov>
Copyright:
- 1999 - 2006: University of Chicago
+ 2004 - 2006: University of Chicago
License:
diff --git a/debian/rules b/debian/rules
index bcd55d66c..2cb0ecd74 100755
--- a/debian/rules
+++ b/debian/rules
@@ -17,13 +17,13 @@ include /usr/share/cdbs/1/class/python-distutils.mk
DEB_PYTHON_VERSIONS = 2.3
# Since cdbs is able to handle only one python package at once do things here:
-#binary-install/bcfg2-server :: binary-install/%:
+binary-install/bcfg2-server :: binary-install/%:
# Mostly borrowed from /usr/share/cdbs/1/class/python-distutils.mk
-#ifdef _cdbs_rules_debhelper
-# ifeq (pysupport, $(DEB_PYTHON_SYSTEM))
-# dh_pysupport -pbcfg2-server $(DEB_PYTHON_PRIVATE_MODULES_DIRS)
-# else
-# dh_pycentral -pbcfg2-server
-# endif
-# dh_python -pbcfg2-server $(DEB_PYTHON_PRIVATE_MODULES_DIRS)
-#endif
+ifdef DEB_PYTHON_SYSTEM
+ ifeq (pysupport, $(DEB_PYTHON_SYSTEM))
+ dh_pysupport -pbcfg2-server $(DEB_PYTHON_PRIVATE_MODULES_DIRS)
+ else
+ dh_pycentral -pbcfg2-server
+ endif
+endif
+ dh_python -pbcfg2-server $(DEB_PYTHON_PRIVATE_MODULES_DIRS)